Date: Thu, 18 Dec 1997 14:16:47 +0100
From: Hartmut Koptein <koptein@et-inf.fho-emden.de>
To: linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: 2.1.72
References: <199712161552.PAA10033@faui21.informatik.uni-erlangen.de> <d3pvmxup3y.fsf@cern.ch> <19971216203638.45723@medu> <19971216230947.28068@sleepie.demon.co.uk> <19971217005435.15314@medu> <34979A31.3F54@atlas.de>
In-Reply-To: <34979A31.3F54@atlas.de>; from Bernd Harries on Wed, Dec 17, 1997 at 10:24:01AM +0100
Sender: owner-linux-m68k@phil.uni-sb.de

Hi,

little patch that (after romans and geerts):

 o the ATARI_MFP_SER_EXTENDED isn't required anymore
 o one missing Mach_IS for Hades
 o little bit cosmetic (Roman: no i haven't touch your TABS :-)

One failure that i have noticed is, that the framebuffer menu entry for
"make menuconfig" dosen't look up for the first try. After makeing some 
configs and start it again it is there. This could be to the state of
VME:

if [ "$CONFIG_VME" = "n" ]; then
  define_bool CONFIG_FB y
  source drivers/video/Config.in
fi

Now there are only two ??? outstandig patches: abscon and svgadetect (or more??)


Here is the patch (not big, so not uuencoded):
-----------------------------------------------------

diff -u --recursive --exclude=.depend --exclude=.version --exclude=.config* --exclude=ksyms.ver --exclude=*.o --exclude=*.orig --exclude=*.rej --exclude=.hdepend --exclude=.*.old --exclude=.*.log --exclude=.menuconfig --exclude=core --new-file jes-2.1.72/Documentation/Configure.help linux-2.1.72/Documentation/Configure.help
--- jes-2.1.72/Documentation/Configure.help	Tue Dec 16 22:57:37 1997
+++ linux-2.1.72/Documentation/Configure.help	Tue Dec 16 18:10:55 1997
@@ -6776,11 +6793,6 @@
   Note for Falcon users: You also have an MFP port, it's just not
   wired to the outside... But you could use the port under Linux.
 
-Atari MFP serial extended support
-CONFIG_ATARI_MFPSER_EXT
-  If you have patched your MFP chip (RS-SPEED), you can say Y and
-  you get higher baud rates as 19200 (38400, 57600 and 115200). 
-
 Atari SCC serial support
 CONFIG_ATARI_SCC
   If you have serial ports based on a Zilog SCC chip (Modem2, Serial2,
diff -u --recursive --exclude=.depend --exclude=.version --exclude=.config* --exclude=ksyms.ver --exclude=*.o --exclude=*.orig --exclude=*.rej --exclude=.hdepend --exclude=.*.old --exclude=.*.log --exclude=.menuconfig --exclude=core --new-file jes-2.1.72/arch/m68k/atari/atasound.c linux-2.1.72/arch/m68k/atari/atasound.c
--- jes-2.1.72/arch/m68k/atari/atasound.c	Sun Dec 22 14:13:55 1996
+++ linux-2.1.72/arch/m68k/atari/atasound.c	Tue Dec 16 18:10:56 1997
@@ -1,17 +1,16 @@
 /*
-linux/arch/m68k/atari/atasound.c
-
-++Geert: Moved almost all stuff to linux/drivers/sound/
-
-The author of atari_nosound, atari_mksound and atari_microwire_cmd is
-unknown.
-(++roman: That's me... :-)
-
-This file is subject to the terms and conditions of the GNU General Public
-License.  See the file COPYING in the main directory of this archive
-for more details.
-
-*/
+ * linux/arch/m68k/atari/atasound.c
+ *
+ * ++Geert: Moved almost all stuff to linux/drivers/sound/
+ *
+ * The author of atari_nosound, atari_mksound and atari_microwire_cmd is
+ * unknown. (++roman: That's me... :-)
+ *
+ * This file is subject to the terms and conditions of the GNU General Public
+ * License.  See the file COPYING in the main directory of this archive
+ * for more details.
+ *
+ */
 
 
 #include <linux/sched.h>
diff -u --recursive --exclude=.depend --exclude=.version --exclude=.config* --exclude=ksyms.ver --exclude=*.o --exclude=*.orig --exclude=*.rej --exclude=.hdepend --exclude=.*.old --exclude=.*.log --exclude=.menuconfig --exclude=core --new-file jes-2.1.72/arch/m68k/atari/stdma.c linux-2.1.72/arch/m68k/atari/stdma.c
--- jes-2.1.72/arch/m68k/atari/stdma.c	Tue Dec 16 22:57:42 1997
+++ linux-2.1.72/arch/m68k/atari/stdma.c	Tue Dec 16 18:10:57 1997
@@ -1,6 +1,5 @@
-
 /*
- *  linux/atari/stmda.c
+ *  linux/arch/m68k/atari/stmda.c
  *
  *  Copyright (C) 1994 Roman Hodek
  *
diff -u --recursive --exclude=.depend --exclude=.version --exclude=.config* --exclude=ksyms.ver --exclude=*.o --exclude=*.orig --exclude=*.rej --exclude=.hdepend --exclude=.*.old --exclude=.*.log --exclude=.menuconfig --exclude=core --new-file jes-2.1.72/arch/m68k/config.in linux-2.1.72/arch/m68k/config.in
--- jes-2.1.72/arch/m68k/config.in	Thu Dec 18 10:46:50 1997
+++ linux-2.1.72/arch/m68k/config.in	Tue Dec 16 18:10:57 1997
@@ -303,9 +296,6 @@
 fi
 if [ "$CONFIG_ATARI" = "y" ]; then
   tristate 'Atari MFP serial support' CONFIG_ATARI_MFPSER
-  if [ "$CONFIG_ATARI_MFPSER" = "y" -o "$CONFIG_ATARI_MFPSER" = "m" ]; then
-    bool 'Atari MFP extended support' CONFIG_ATARI_MFPSER_EXT
-  fi
   tristate 'Atari SCC serial support' CONFIG_ATARI_SCC
   if [ "$CONFIG_ATARI_SCC" = "y" -o "$CONFIG_ATARI_SCC" = "m" ]; then
     bool 'Atari SCC serial DMA support' CONFIG_ATARI_SCC_DMA
diff -u --recursive --exclude=.depend --exclude=.version --exclude=.config* --exclude=ksyms.ver --exclude=*.o --exclude=*.orig --exclude=*.rej --exclude=.hdepend --exclude=.*.old --exclude=.*.log --exclude=.menuconfig --exclude=core --new-file jes-2.1.72/drivers/block/amiflop.c linux-2.1.72/drivers/block/amiflop.c
--- jes-2.1.72/drivers/block/amiflop.c	Tue Dec 16 22:57:48 1997
+++ linux-2.1.72/drivers/block/amiflop.c	Tue Dec 16 18:10:59 1997
@@ -1,5 +1,5 @@
 /*
- *  linux/amiga/amiflop.c
+ *  linux/drivers/block/amiflop.c
  *
  *  Copyright (C) 1993  Greg Harp
  *  Portions of this driver are based on code contributed by Brad Pepers
diff -u --recursive --exclude=.depend --exclude=.version --exclude=.config* --exclude=ksyms.ver --exclude=*.o --exclude=*.orig --exclude=*.rej --exclude=.hdepend --exclude=.*.old --exclude=.*.log --exclude=.menuconfig --exclude=core --new-file jes-2.1.72/drivers/scsi/atari_scsi.c linux-2.1.72/drivers/scsi/atari_scsi.c
--- jes-2.1.72/drivers/scsi/atari_scsi.c	Thu Dec 18 10:46:53 1997
+++ linux-2.1.72/drivers/scsi/atari_scsi.c	Tue Dec 16 18:11:20 1997
@@ -692,7 +692,7 @@
 #endif /* REAL_DMA */
 #ifdef REAL_DMA
 #ifdef CONFIG_TT_DMA_EMUL
-		if (is_hades) {
+		if (MACH_IS_HADES) {
 			request_irq(IRQ_AUTO_2, hades_dma_emulator,
 				    IRQ_TYPE_PRIO, "Hades DMA emulator",
 				    hades_dma_emulator);


Bye,

     Hartmut


-- 
 Hartmut Koptein                                       EMail:
 Friedrich-van-Senden-Str. 7                           koptein@et-inf.fho-emden.de
 26603 Aurich   
 Tel.: +49-4941-10390                                  koptein@debian.org
